claw::dynamic_library_traits_win32 Class Reference

Microsoft Windows interface for using dynamic libraries. More...

`#include <dynamic_library_traits_win32.hpp>`

## Public Types

typedef HMODULE | handle
| Type of the system handle to the library.

## Static Public Member Functions

static handle | open (const std::string &name)
| Open a library.
static handle | auto_open (const std::string &name)
| Open the current program.
static void | close (handle h)
| Close a library.
template<class T>
static T | get_symbol (handle h, const std::string &name)
| Get a symbol from a library.
static bool | have_symbol (handle h, const std::string &name)
| Tell if a symbol is in the library.
static bool | valid_handle (handle h)
| Tell if an handle is a valid library handle.

## Detailed Description

Microsoft Windows interface for using dynamic libraries.

Author
  Julien Jorge

Definition at line 45 of file dynamic_library_traits_win32.hpp.

## Member Typedef Documentation

## handle

typedef HMODULE claw::dynamic_library_traits_win32::handle

Type of the system handle to the library.

Definition at line 49 of file dynamic_library_traits_win32.hpp.

## Member Function Documentation

## auto_open()

handle claw::dynamic_library_traits_win32::auto_open | ( | const std::string & | name | ) |

inline static

Open the current program.

Parameters

  name | The name of the current program.

Returns
  The handle on the loaded library.

Definition at line 69 of file dynamic_library_traits_win32.hpp.

## close()

void claw::dynamic_library_traits_win32::close | ( | handle | h | ) |

inline static

Close a library.

Parameters

  h | The handle of the library to close.

Definition at line 79 of file dynamic_library_traits_win32.hpp.

## get_symbol()

template<class T>

T claw::dynamic_library_traits_win32::get_symbol | ( | handle | h,
|  | const std::string & | name )

inline static

Get a symbol from a library.

Parameters

  h | Handle of the library.
  name | The name of the symbol to load.

Definition at line 91 of file dynamic_library_traits_win32.hpp.

## have_symbol()

bool claw::dynamic_library_traits_win32::have_symbol | ( | handle | h,
|  | const std::string & | name )

inline static

Tell if a symbol is in the library.

Parameters

  h | Handle of the library.
  name | The name of the symbol to find.

Definition at line 107 of file dynamic_library_traits_win32.hpp.

## open()

handle claw::dynamic_library_traits_win32::open | ( | const std::string & | name | ) |

inline static

Open a library.

Parameters

  name | The name of the library to open.

Returns
  The handle on the loaded library.

Definition at line 58 of file dynamic_library_traits_win32.hpp.

## valid_handle()

bool claw::dynamic_library_traits_win32::valid_handle | ( | handle | h | ) |

inline static

Tell if an handle is a valid library handle.

Parameters

  h | The handle to test.

Definition at line 117 of file dynamic_library_traits_win32.hpp.

The documentation for this class was generated from the following file:

- dynamic_library_traits_win32.hpp